Bug 83246 - Make CSSValueID's into an enum instead of a collection of integers.
Summary: Make CSSValueID's into an enum instead of a collection of integers.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Luke Macpherson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-04 21:04 PDT by Luke Macpherson
Modified: 2012-04-10 04:31 PDT (History)
6 users (show)

See Also:


Attachments
Patch (1.77 KB, patch)
2012-04-04 21:06 PDT, Luke Macpherson
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Luke Macpherson 2012-04-04 21:04:57 PDT
Make CSSValueID's into an enum instead of a collection of integers.
Comment 1 Luke Macpherson 2012-04-04 21:06:49 PDT
Created attachment 135753 [details]
Patch
Comment 2 Luke Macpherson 2012-04-09 16:14:12 PDT
I'm just going to keep adding reviewers until someone does it.
Comment 3 WebKit Review Bot 2012-04-09 16:59:12 PDT
Comment on attachment 135753 [details]
Patch

Clearing flags on attachment: 135753

Committed r113643: <http://trac.webkit.org/changeset/113643>
Comment 4 WebKit Review Bot 2012-04-09 16:59:17 PDT
All reviewed patches have been landed.  Closing bug.
Comment 5 Alexis Menard (darktears) 2012-04-10 04:31:04 PDT
Comment on attachment 135753 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=135753&action=review

> Source/WebCore/ChangeLog:9
> +        Follow-up patches will then convert existing code that uses integers to use the new enum.

Don't forget to patch RenderStyle.h systemFont and systemColor for all ports :).